List Agent Smith catalog techniques (admin console).
curl --request GET \
--url https://api.mnemom.ai/v1/smith/techniques \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/smith/techniques"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/smith/techniques', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"techniques": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"tactic": "pretext",
"tactic_order": 123,
"target_surface": "read",
"status": "experimental",
"threat_type": "<string>",
"severity": "low",
"origin": "seed",
"evo_version": 123,
"atlas_tags": [
"<string>"
],
"owasp_tags": [
"<string>"
],
"modified": "<string>",
"confidence": 123,
"efficacy": 123,
"efficacy_trials": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Dojo
List Agent Smith catalog techniques (admin console).
Returns the global Agent Smith technique catalog as faceted summary rows for the /admin/agent-smith Library tab.
GET
/
smith
/
techniques
List Agent Smith catalog techniques (admin console).
Authorizations
Supabase JWT token in Authorization: Bearer header
Query Parameters
Filter by escalation tactic.
Available options:
pretext, authority-spoof, injection, rationalized-destruction, exfiltration Filter by canonical threat type.
Filter by attack surface (read = leak, write = destructive).
Available options:
read, write Filter by lifecycle status.
Available options:
experimental, test, stable, deprecated, retired, rejected Filter by severity.
Available options:
low, medium, high, critical Filter by how the technique entered the catalog.
Available options:
seed, evolved, human-as-smith Response
The faceted technique summary list.
Show child attributes
Show child attributes